> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

---
id: aa3ba5de-247a-4f16-8e82-753ccf02bd9c
---

# Brands API

> HubSpot's brands API endpoint provides information about brands tied to a user.

export const ScopesList = ({scopes = [], description = "This API requires one of the following scopes:"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList
    scopes={[
  'business_units_view.read'
]}
  />
</Accordion>

The following endpoint provides information about [brands](https://knowledge.hubspot.com/branding/manage-your-brands-with-hubspot-brands) tied to a user. This may also include information about [logos](https://knowledge.hubspot.com/branding/edit-your-logo-favicon-and-brand-colors).

<Warning>
  **Please note:** the API described in this article references business units, which is the former name for [brands](https://knowledge.hubspot.com/branding/manage-your-brands-with-hubspot-brands). This change does not impact the API. When making requests to the endpoint listed below, the URL path still includes `/business-units/`, as the endpoint path uses the former product name.
</Warning>

This API currently only supports retrieving brand data and does <u>not</u> support associating assets with a brand, nor creating a new brand.

## Get brands tied to a user

To get the brands that a user has access to, you can make a `GET` request to

`/business-units/public/2026-03/business-units/user/{userId}`

The following is an example of what the response body would include:

```json theme={null}
{
  "logoMetadata": {
    "logoAltText": "logo sample text",
    "resizedUrl": "sillystring",
    "logoUrl": "examplelogourl.com"
  },
  "name": "sample business unit name",
  "id": "101"
}
```

For more information on how to use the brands API, check out the [reference documentation](/api-reference/latest/account/brands/get-brands).
